OGRE: Ogre::PropertyAbstractNode Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::PropertyAbstractNode Class Reference
Core » Script

This abstract node represents a script property. More...

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::PropertyAbstractNode:
[legend]

## Public Member Functions
| PropertyAbstractNode (AbstractNode *ptr)
AbstractNode * | clone () const override
| Returns a new AbstractNode which is a replica of this one.
const String & | getValue () const override
| Returns a string value depending on the type of the AbstractNode.
Public Member Functions inherited from Ogre::AbstractNode
| AbstractNode (AbstractNode *ptr)
virtual | ~AbstractNode ()
ScriptProperty | getProperty () const
| Returns the property name and values of the node for ANT_PROPERTY. Empty string otherwise.
const String & | getString () const
| Returns the string content of the node for ANT_ATOM. Empty string otherwise.

## Public Attributes
uint32 | id
String | name
AbstractNodeList | values
Public Attributes inherited from Ogre::AbstractNode
Any | context
String | file
unsigned int | line
AbstractNode * | parent
AbstractNodeType | type

## Detailed Description

This abstract node represents a script property.

## Constructor & Destructor Documentation

## ◆ PropertyAbstractNode()

Ogre::PropertyAbstractNode::PropertyAbstractNode | ( | AbstractNode * | ptr | ) |

References Ogre::AbstractNode::AbstractNode().

## Member Function Documentation

## ◆ clone()

AbstractNode * Ogre::PropertyAbstractNode::clone | ( |  | ) | const
| overridevirtual

Returns a new AbstractNode which is a replica of this one.

Implements Ogre::AbstractNode.

References Ogre::AbstractNode::AbstractNode().

## ◆ getValue()

const String & Ogre::PropertyAbstractNode::getValue | ( |  | ) | const
| inlineoverridevirtual

Returns a string value depending on the type of the AbstractNode.

Implements Ogre::AbstractNode.

References name.

## Member Data Documentation

## ◆ name

String Ogre::PropertyAbstractNode::name

Referenced by Ogre::AbstractNode::getProperty(), and getValue().

## ◆ id

uint32 Ogre::PropertyAbstractNode::id

## ◆ values

AbstractNodeList Ogre::PropertyAbstractNode::values

Referenced by Ogre::AbstractNode::getProperty().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h